import { select, range } from 'd3';

const svg = d3.select("svg");
const height = +svg.attr("height");
const width = +svg.attr("width");

const makeFruit = type => ({type, id: Math.random()}); //create a fruit

const fruits = range(5)
	.map(() => makeFruit("Apple"));

// Enter Selection is the sequence of calls
// selectAll().data().enter()
// After selection normal append can be performed
svg.selectAll("circle").data(fruits)   
	.enter().append("circle")
		.attr("cx", (d,i)=> i * 120 + 100)
		.attr("cy", height / 2)
		.attr("r", 50)
		.attr("fill", "red")
		.attr("test", (d,i) => console.log(d));
	
fruits.pop();

// Exit Selection is the sequence of calls
// selectAll().data().exit()
// After selection normal append can be performed
svg.selectAll("circle").data(fruits)
	.exit().remove();

